Bug 540984 - Review Request: aduna-root-poms - Root POMs for Aduna projects
Review Request: aduna-root-poms - Root POMs for Aduna projects
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
Depends On: 540986
  Show dependency treegraph
Reported: 2009-11-24 11:22 EST by Mary Ellen Foster
Modified: 2010-03-15 20:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: aduna-root-poms-13-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-15 20:48:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-11-24 11:22:08 EST
Spec URL: http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-root-poms.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-root-poms-11-1.fc12.src.rpm

Description: This package contains the root POMs for all projects from Aduna Software (http://www.aduna-software.org/), which are needed to build any Aduna packages using Maven.
Comment 1 Alexander Kurtakov 2009-11-30 09:22:46 EST
I'm taking this one.
Comment 2 Alexander Kurtakov 2009-11-30 09:26:50 EST
In order to make the maven builds behave normally i.e. correct dependencies you have to make this package depend on the packages providing the following artifacts (all listed in root pom):

If you don't do that you will have to guess these dependencies on all the child poms because they expect to be satisfied from this pom.
Comment 3 Mary Ellen Foster 2009-11-30 09:46:57 EST
Done -- good point. I've also fixed the versions in the changelog (cut-and-paste error). I guess this will now depend on the logback review ...

Comment 4 Alexander Kurtakov 2010-01-14 09:14:51 EST
I don't see any release in the poms. Where did you get the info that they are under BSD license?
Comment 5 Mary Ellen Foster 2010-01-20 04:43:22 EST
License clarification from upstream:
Comment 6 Alexander Kurtakov 2010-01-25 10:38:07 EST
Blocked FE-LEGAL for confirming license is ok.
Comment 7 Tom "spot" Callaway 2010-01-25 11:06:06 EST
License (BSD) is ok, thanks for being thorough. Please include link to clarification message in spec file.

Lifting FE-Legal.
Comment 8 Alexander Kurtakov 2010-01-26 05:48:08 EST
OK: rpmlint must be run on every package. The output should be posted in the review. 
aduna-root-poms.noarch: W: no-documentation - There is no suitable doc for pom files.
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK: All build dependencies must be listed in BuildRequires
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. I
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Packages must not own files or directories already owned by other packages. OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8. 

Please put in a comment for the license field where it was clarified.

Once it's done package will be approved.
Comment 9 Mary Ellen Foster 2010-02-01 06:33:09 EST
I've updated to a new upstream version that includes the licenses in the POMs:

Comment 10 Alexander Kurtakov 2010-02-01 08:33:23 EST
This package is APPROVED.
Comment 11 Mary Ellen Foster 2010-02-01 09:11:25 EST
New Package CVS Request
Package Name: aduna-root-poms
Short Description: Root POMs for Aduna projects
Owners: mef
Branches: F-12 F-11
Comment 12 Kevin Fenzi 2010-02-01 17:49:36 EST
CVS done (by process-cvs-requests.py).
Comment 13 Fedora Update System 2010-02-02 05:50:57 EST
aduna-root-poms-13-1.fc12 has been submitted as an update for Fedora 12.
Comment 14 Fedora Update System 2010-02-02 15:43:50 EST
aduna-root-poms-13-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update aduna-root-poms'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1401
Comment 15 Fedora Update System 2010-03-15 20:48:36 EDT
aduna-root-poms-13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.